DVDISASTER(1)

NAME
DVDISASTER - data loss/scratch/aging protection for CD/DVD media

SYNOPSIS
dvdisaster [-r|-c|-f|-s|-t|-u] [-d device] [-p prefix] [-i image] [-e eccfile] [--list] [-j n] [-n n%] [-m n] [-v] [--adaptive-read] [--auto-suffix] [--cache-size n] [--dao] [--fill-unreadable n] [--query-size n] [--speed-warning n] [--spinup-delay n] [--split-files]

DESCRIPTION
DVDISASTER provides a margin of safety against data loss on CD and DVD media caused by scratches or aging media. It creates error correction data which is used to recover unreadable sectors if the disc becomes damaged at a later time.

TYPICAL USAGE

dvdisaster -d /dev/hdc -s
    Scans the medium in drive /dev/hdc for errors.

dvdisaster -d /dev/hdc -i medium.iso -r
    Reads an image from drive /dev/hdc into the file medium.iso.

dvdisaster -d /dev/hdc -i medium.iso -e corr.ecc -r --adaptive-read
    Uses the adaptive reading strategy to read an image from drive /dev/hdc into the file medium.iso. Reading will stop when enough data has been gathered to repair the image using the error correction file corr.ecc.

dvdisaster -i medium.iso -e corr.ecc -c
    Creates an error correction file corr.ecc for the image medium.iso.

dvdisaster -i medium.iso -mRS02 -n 350000 -c
    Augments the image medium.iso with error correction information, expanding the image to no more than 350000 sectors. If -n is omitted the image will be expanded to the smallest possible medium size (CD, DVD, DVD9). Note the missing blank between -m and RS02.

dvdisaster -i medium.iso -e corr.ecc -f
    Repairs the image file medium.iso using the error correction file corr.ecc.

dvdisaster -i medium.iso -e corr.ecc -t
    Verifies the image medium.iso with information from the error correction file corr.ecc.

NOTE:
    Omit the -e corr.ecc options when working with augmented images in the examples above.

OPTIONS
Action selection (at least one action must be specified):

-r, --read
    Read the medium image to hard disc. Use -rn-m to read a certain sector range, e.g. -r100-200.

-c, --create
    Create .ecc information for the medium image.

-f, --fix
    Try to fix medium image using .ecc information.

-s, --scan
    Scan the medium for read errors.

-t, --test
    Test integrity of the .iso and .ecc files.

-u, --unlink
    Delete .iso files (when other actions complete).

Drive and file specification:

-d, --device device
    read from given device (default: /dev/cdrom).

-p, --prefix prefix
    prefix of .iso/.ecc file (default: medium.* ).

-i, --image imagefile
    name of image file (default: medium.iso).

-e, --ecc eccfile
    name of parity file (default: medium.ecc).

--list
    lists available drives for the ASPI driver (Windows only).

Tweaking options (see manual before using!):

-j, --jump n
    jump n sectors forward after a read error (default: 16).

-n, --redundancy n%
    sets redundancy for error correction (default: 14.3%).

-m, --method n
    lists/selects error correction methods (default: RS01).
    Possible values are RS01 and RS02.

-v, --verbose n%
    more diagnostic messages

--adaptive-read
    use optimized strategy for reading damaged media.

--auto-suffix
    automatically add .iso and .ecc file suffixes.

--cache-size n
    image cache size in MB during -c mode (default: 32MB).

--dao
    assume DAO disc; do not trim image end.

--fill-unreadable n
    fill unreadable sectors with byte n

--query-size n
    queries drive or filesystem on medium for image size (default: ecc)
    Possible values are: drive udf ecc

--speed-warning n
    print warning if speed changes by more than n percent.

--spinup-delay n
    wait n seconds for drive to spin up.

--split-files
    split image into files <= 2GB.

SEE ALSO
Documentation DVDISASTER is documented by its own manual, installed in /usr/local/doc/dvdisaster-0.70.6/en

AUTHOR
DVDISASTER was written by Carsten Gnoerlich <carsten@dvdisaster.com>.

This manual page was written by Daniel Baumann <daniel.baumann@panthera-systems.net>, for the Debian project (but may be used by others). It was enhanced for V0.70 by Carsten Gnoerlich.